Hilfe zu NI-Fehlerprotokollen

Januar 2017, 373371D-0113

NI-Fehlerprotokolle ermöglichen Ihnen, NI ein Absturzprotokoll oder Protokoll über interne Warnungen zu senden. NI nutzt diese Protokolle für Verbesserungen an der Software. Sie können wichtige Dateien anhängen und dem Absturzprotokoll oder Protokoll über interne Warnungen Kommentare und Ihre Email hinzufügen. Es ist wichtig, dass Sie alle Dateien anhängen, die zum Reproduzieren des Absturzes oder der internen Warnung notwendig sind.

Hinweis Hinweis
  • Das Senden eines Berichts via NI-Fehlerprotokoll einschließlich Ihrer E-Mail-Adresse an NI resultiert nicht in unverzüglicher technischer Unterstützung. Falls Sie aufgrund eines Absturzes oder einer internen Warnung Hilfe benötigen, kontaktieren Sie den technischen Support von NI.
  • Wenn die Schaltfläche Senden deaktiviert ist, wenden Sie sich an Ihren Administrator.

Verwendete Bezeichnungen

Die folgenden Bezeichnungen können im NI-Fehlerprotokoll-Dialogfeld angezeigt werden:
  • Ausnahme—Interner Fehler, der vom Betriebssystem erkannt wird.
  • (LabVIEW) DAbort—interner LabVIEW-Fehler. LabVIEW kann bei einem internen Fehler (DAbort) nicht weiter ausgeführt werden, da sonst VIs im Speicher beschädigt werden können. Interne Fehler (DAborts) werden im Dialogfeld NI-Fehlerprotokoll zusammen mit einem Fehlercode angezeigt. Sie können auf ni.com nach dem Fehlercode suchen, um mögliche Ursachen für den internen Fehler zu finden.
  • (LabVIEW) DWarn—interne LabVIEW-Warnung. Bei einer internen Warnung (DWarn) kann LabVIEW zwar fortgeführt werden, aber es wird ein Protokoll über die interne Warnung erzeugt.

Verstehen von Protokollen

Zur Einsichtnahme in ein Protokoll, das an NI gesendet werden soll, klicken Sie im Dialogfeld NI-Fehlerprotokolle auf Protokoll anzeigen.

Es werden die letzten 20 Protokolle für jeden Prozess oder jedes Produkt auf dem Rechner gespeichert. Sie können ein Absturzprotokoll oder Protokoll über eine interne Warnung in den folgenden Verzeichnissen finden:

  • (LabVIEW) LabVIEW Data\LVInternalReports\LabVIEW\<Version>\<Protokoll-ID>
  • (MAX) C:\ProgramData\National Instruments\MAX\Logs\MAX\<Protokoll-ID>
  • (Alle anderen NI-Produkte) %LocalAppData%\National Instruments\<Produktname>\ErrorReports\<Version>\<Protokoll-ID>

Sie finden die <Version> und <Protokoll-ID> im Dialogfeld NI-Fehlerprotokoll.

Das Absturzprotokoll oder Protokoll über interne Warnungen umfasst:

  • Minidump-Dateien für interne Warnungen, interne Fehler und Ausnahmen mit Fehlercodes und anderen Informationen zum Absturz oder zur internen Warnung.
  • Eine Textdatei mit weiteren Details über die interne Warnung oder den Absturz.
  • Eine zweite Textdatei mit Kommentaren und E-Mail-Adressen, die im Dialogfeld NI-Fehlerprotokolle eingegeben wurden.
  • (Optional) Die ZIP-Datei, die dem Protokoll im Dialogfeld NI-Fehlerprotokolle angefügt wurde.

Mögliche Ursachen für Fehler beim Senden des Protokolls

Code | Beschreibung
0x80002012 | Beim Erstellen einer Verbindung mit dem National-Instruments-Server ist ein Timeout aufgetreten. Klicken Sie zum erneuten Senden des Protokolls auf Wiederholen. Sollten Sie Probleme beim Senden eines Absturzprotokolls oder eines Protokolls über eine interne Warnung haben, wenden Sie sich an den technischen Support von National Instruments.
0x80002011 | Das Senden des Protokolls hat länger als fünf Minuten gedauert. Deshalb ist ein Timeout aufgetreten. Mögliche Ursachen dafür sind ein zu großes Protokoll oder eine schlechte Netzwerkverbindung. Klicken Sie zum erneuten Senden des Protokolls auf Wiederholen.
0x80002001 | Das Protokoll konnte aufgrund einer Einstellung der Firewall oder des Netzwerks nicht gesendet werden. Deaktivieren Sie Ihre Software-Firewall oder wenden Sie sich an Ihren Netzwerkadministrator.
0x8000200C | Für das Senden des Protokolls ist eine Proxy-Autorisierung erforderlich. Wenden Sie sich an Ihren Netzwerkadministrator.
0x80008002 | Der Server von National Instruments ist nicht verfügbar. Klicken Sie zum erneuten Senden des Protokolls auf Wiederholen. Sollten Sie Probleme beim Senden eines Absturzprotokolls oder eines Protokolls über eine interne Warnung haben, wenden Sie sich an den technischen Support von National Instruments.
0x80008001, 0x80008003, 0x80008004, 0x80008005, 0x80008006, 0x80008007 und 0x8000200A | Der Server von National Instruments kann das Protokoll nicht annehmen. Klicken Sie zum erneuten Senden des Protokolls auf Wiederholen. Sollten Sie Probleme beim Senden eines Absturzprotokolls oder eines Protokolls über eine interne Warnung haben, wenden Sie sich an den technischen Support von National Instruments.
Hinweis Hinweis Alle anderen Fehlercodes enthalten folgende Meldung: Beim Senden des Protokolls trat ein Fehler auf.Klicken Sie zum erneuten Senden des Protokolls auf Wiederholen.Sollten Sie weiterhin Probleme beim Senden eines Protokolls haben, wenden Sie sich an den technischen Support von National Instruments.

Neustarten des Programms nach einem Absturz

Nach dem Schließen des Dialogfelds Absturzprotokoll wird die Option <Produktname> neu starten angezeigt.

Das Programm wird so wie beim letzten Mal gestartet, also entweder über die *.exe-Datei oder über Kommandozeilenargumente.

Ursachen für das Fehlschlagen eines Programmneustarts

Das Auswahlfeld <Produktname> neu starten wurde unter Umständen deaktiviert und das Produkt kann aus folgenden Gründen nicht neu gestartet werden:

  • Die gesamte Länge des Kommandozeilenarguments, mit dem das Programm zuletzt gestartet wurde, übersteigt 255 Zeichen.
  • (LabVIEW) Sie verwenden LabVIEW 2011.
  • (LabVIEW) Sie verwenden die LabVIEW-Runtime-Engine.

(LabVIEW) NI-Fehlerprotokolle in der LabVIEW-Runtime-Engine

Bei einem internen Fehler (DAbort) oder einer Ausnahme wird in der LabVIEW-Runtime-Engine ein Absturzdialogfeld angezeigt. Es besteht jedoch nicht die Möglichkeit, das Protokoll an NI zu senden. Im Absturzdialogfeld wird dann anstelle des Produktnamens (z. B. LabVIEW) der Name des Prozesses angezeigt. Die NI-Fehlerprotokolle erstellen Minidump-Dateien für interne Warnungen (DWarns). Beim Schließen der Anwendung wird jedoch nicht das Dialogfeld Protokoll über interne Warnungen angezeigt.

© 2011–2017 National Instruments. Alle Rechte vorbehalten.


NI-Serviceleistungen

Wir möchten, dass Sie mit unseren Produkten erfolgreich sind. Daher bieten wir für alle unsere Produkte weltweiten Service und Support. Die Serviceleistungen dienen ergänzend zu den Trainings- und Zertifizierungsprogrammen von National Instruments dazu, Anwendern über die gesamte Lebensdauer ihrer Systeme hinweg – angefangen bei der Planung über die Entwicklung bis hin zu Einsatz und regelmäßiger Wartung – unterstützend zur Seite zu stehen.

Erstellen Sie, um diese Serviceleistungen in Anspruch zu nehmen, ein MyNI-Benutzerkonto oder melden Sie sich mit Ihrem Benutzerprofil unter ni.com/myproducts an und registrieren Sie Ihr Produkt.

Als registrierter Nutzer von NI-Produkten genießen Sie folgende Vorteile:

  • Zugang zu Ihren Produktdienstleistungen
  • ein Online-Konto zur einfachen Produktverwaltung
  • Benachrichtigungen zu Software-Updates, kritischen Hardwarekomponenten und zum Ablauf des Servicezeitraums

Serviceleistungen und Ressourcen

  • Wartungs- und Hardwareservice—NI hilft Ihnen dabei, die Voraussetzungen für die Genauigkeit und Zuverlässigkeit Ihrer Systeme zu ermitteln, und bietet Gewährleistungen sowie Kalibrier- und Ersatzteildienste an, mit deren Hilfe Ihre höchsten Anforderungen erfüllt und Ausfallzeiten Ihrer Systeme minimiert werden. Weitere Informationen finden Sie auf ni.com/services.
    • Gewährleistungen und Reparaturdienste—NI übernimmt für Hardware eine einjährige Gewährleistung, die auf fünf Jahre verlängert werden kann. Reparaturen werden im NI Service Center von qualifiziertem Fachpersonal durchgeführt. Alle Reparaturen erfolgen zeitnah und unter Verwendung von Originalkomponenten.
    • Kalibrierung—Durch eine regelmäßige Kalibrierung lässt sich die Genauigkeit von Messgeräten quantifizieren und verbessern. NI bietet modernste Kalibrierdienstleistungen. Wenn Ihr Gerät kalibrierbar ist, finden Sie auf ni.com/calibration das zugehörige Kalibrierzertifikat.
  • Systemintegration—Wenn Sie aus Zeit-, Personalmangel oder anderen Gründen bei der Fertigstellung eines Projekts in Verzug geraten, können Ihnen die Mitglieder des NI-Alliance-Programms weiterhelfen. Für Informationen zu diesem Programm setzen Sie sich entweder telefonisch mit einer National-Instruments-Niederlassung in Ihrer Nähe in Verbindung oder besuchen Sie die Website ni.com/alliance.
  • Training und Zertifizierung—Das NI-Trainings- und -Zertifizierungsprogramm ist die schnellste und effektivste Möglichkeit, Ihre Produktivität bei der Systementwicklung zu erhöhen. Weitere Informationen finden Sie auf ni.com/training.
    • Der Skills Guide hilft Ihnen dabei, den für eine bestimmte Anwendung benötigten Level an Know-How zu ermitteln, und bietet Optionen für zusätzliches Training. Dabei werden Zeit- und Budgetvorgaben und persönliche Vorlieben in Bezug auf den Wissenserwerb berücksichtigt. Weitere Informationen finden Sie auf ni.com/skills-guide.
    • Um individuellen Anforderungen besser gerecht zu werden, bietet NI weltweit Schulungen in verschiedenen Sprachen und Formaten an, darunter Kurse in den NI-eigenen Schulungszentren, Vor-Ort-Schulungen und Online-Schulungen.
  • Technische Unterstützung—Unterstützung erhalten Sie auf der Website ni.com/support in Form folgender Informationsquellen und Tools:
    • Technische Ressourcen—Die Website ni.com/support bietet Ihnen Soforthilfe bei Fragen und Problemen. Außerdem finden Sie hier Treiber, Updates, eine umfassende Wissensdatenbank (KnowledgeBase), Bedienungsanleitungen, Anleitungen zur Problemlösung, Tausende Beispielprogramme, Selbstlernkurse und Application Notes. Registrierte Nutzer können sich auch an den Diskussionsforen auf ni.com/forums (englisch) beteiligen. Jede im Forum eingereichte Frage wird garantiert beantwortet.
    • Teilnahme am SSP-Programm—Das Standard Service Program (SSP) ist ein einjähriger erneuerbarer Wartungsvertrag, der Bestandteil fast aller NI-Softwareprodukte, einschließlich der NI Developer Suite, ist. Teilnehmer dieses Programms können sich telefonisch oder per E-Mail direkt mit unseren Anwendungsingenieuren in Verbindung setzen und haben exklusiven Zugriff auf Selbstlernmodule unter ni.com/self-paced-training. Darüber hinaus bietet National Instruments flexible Vertragsoptionen zum optionalen Verlängern Ihrer SSP-Leistungen. Weitere Informationen finden Sie auf ni.com/ssp.
  • Konformitätserklärung (DoC)—Mit der Konformitätserklärung wird bescheinigt, dass National Instruments unter Verwendung der Konformitätserklärungen der entsprechenden Hersteller die EU-Richtlinien zum Verbraucherschutz einhält. Mit der DoC werden elektromagnetische Verträglichkeit und Sicherheit unserer Produkte garantiert. Das Zertifikat zu Ihrem Produkt finden Sie auf ni.com/certification (englisch).

Welche Art der technischen Unterstützung es in Ihrer Nähe gibt, erfahren Sie auf ni.com/services oder indem Sie sich mit einer Niederlassung von National Instruments in Ihrer Nähe in Verbindung setzen (ni.com/contact).

Weitere Kontaktinformationen sowie Telefonnummern für technischen Support, E-Mail-Adressen und Informationen über Veranstaltungen finden Sie auf der Website ni.com/niglobal unter Worldwide Offices.